Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class ClassExpression

Represents access to a Java/Groovy class in an expression, such as when invoking a static method or accessing a static type

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`ClassExpression(ClassNode type)`

Method Summary
`String` | `getText()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ClassExpression

    public ClassExpression(ClassNode type)

Method Detail

### getText

    public String getText()

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)